INKSCAPE(1)

SYNOPSIS
"inkscape [options] [nom_de_fichier ...]"

options:

    -?, --help
        --usage
    -V, --version

    -f, --file=NOM_DE_FICHIER
    -s, --slideshow

    -e, --export-png=NOM_DE_FICHIER
    -a, --export-area=x0:y0:x1:y1
    -D, --export-area-drawing
    -i, --export-id=ID
    -j, --export-id-only
    -t, --export-use-hints
    -b, --export-background=COULEUR
    -y, --export-background-opacity=VALEUR
    -d, --export-dpi=PPP
    -w, --export-width=LARGEUR
    -h, --export-height=HAUTEUR

    -P, --export-ps=NOM_DE_FICHIER
    -E, --export-eps=NOM_DE_FICHIER
    -T, --export-text-to-path
    -B, --export-bbox-page

    -l, --export-plain-svg=NOM_DE_FICHIER

    -I, --query-id=ID
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

    -x, --extension-directory

    -p, --print=IMPRIMANTE

    -g, --with-gui
    -z, --without-gui

        --vacuum-defs

        --g-fatal-warnings

DESCRIPTION
Inkscape est un éditeur de dessin au format Scalable Vector Graphics (SVG) doté d'une interface graphique, offrant des possibilités similaires à Adobe Illustrator, CorelDraw, Visio, etc. Les fonctionnalités d'Inkscape comprennent une gestion versatile des formes, le dessin à main levée et les courbes de Bézier, le texte multiligne, le texte suivant un chemin, la transparence, les transformations affines, les remplissages par motif ou dégradé l'édition de nœuds, l'export SVG vers PNG, le groupement, les calques, les clones interactifs et bien plus. L'interface est conçue pour être confortable et efficace pour les utilisateurs expérimentés tout en restant conforme aux spécifications de GNOME permettant ainsi aux utilisateurs d'applications GNOME de s'y habituer rapidement.

Le format SVG est un format XML standard pour le dessin vectoriel 2D. Il permet de définir des objets sur un dessin par l'utilisation de points, chemins et formes primitives. Les couleurs, fontes, largeur de contour et autres sont spécifiés en tant qu'attributs de 'style' de ces objets. Le but est de rendre possible l'utilisation de fichiers SVG pour un grand nombre de programmes et d'utilisation, SVG étant un standard et ses fichiers du type texte/xml.

Inkscape utilise le SVG comme format natif de ses documents, et a pour but de devenir le plus conforme des programmes de dessin SVG, disponible pour la communeauté du logiciel libre.

OPTIONS

-?, --help
    Affiche un message d'aide.

-V, --version
    Affiche la version d'Inkscape et la date de compilation.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    Pour l'export en PNG, définit la zone à exporter en pixels SVG (unité anonyme de longueur utilisée normalement par le format SVG Inkscape). Le comportement par défaut est d'exporter le canevas entier du document. Le point (0,0) est le coin inférieur gauche.

-D, --export-area-drawing
    Pour l'export en PNG, la zone à exporter est le dessin entier (pas le canevas). Avec cette option, l'image exportée n'affichera que les objets visibles du document sans marge ni massicotage. Peut être combiné avec --export-use-hints.

-b COULEUR, --export-background=COULEUR
    Couleur de fond du PNG exporté. Cette valeur peut être n'importe quelle chaîne de couleur supportée par le format SVG, par exmeple "#ff007f" ou "rgb(255, 0, 128)". Si cette couleur n'est pas définie, la couleur de page définie dans Inkscape via la boîte de dialogue Préférences du document sera utilisée (enregistrée dans l'attribut pagecolor= de l'espace de nom sodipodi:namedview).

-d PPP, --export-dpi=PPP
    La résolution utilisée pour l'export en bitmap. Elle est de 90 par défaut, correspondant à 1 SVG pixel (px, aussi appelé "unité utilisateur") s'exportant vers 1 pixel bitmap. Cette valeur préempte la PPP enregistrée avec le document si la commande est utilisée avec --export-use-hints.

-e NOM_DE_FICHIER, --export-png=NOM_DE_FICHIER
    Spécifie le nom de fichier pour l'export en PNG. S'il existe déjà, il sera écrasé sans demande de confirmation.

-f NOM_DE_FICHIER, --file=NOM_DE_FICHIER
    Ouvre le(s) document(s) spécifié(s). La chaîne optionnelle peut être omise, c'est à dire que vous pouvez lister les noms de fichier sans -f.

-g, --with-gui
    Tente d'utiliser l'interface graphique (sous Unix, utiliser le serveur X, même si $DISPLAY n'est pas défini).

-h HAUTEUR, --export-height=HAUTEUR
    Hauteur du bitmap généré en pixels. Cette valeur préempte l'option --export-dpi (ou la PPP enregistrée avec le document si --export-use-hints est aussi utilisé).

-i ID, --export-id=ID
    La valeur de l'attribut id de l'objet que vous voulez exporter depuis le document. La boîte de contour de l'objet est exportée; donc avec cette option, --export-area est ignoré.

-j, --export-id-only
    N'exporte que l'objet dont l'id est spécifiée avec avec l'option --export-id. Tout les autres objets seront cachés et n'apparaîtront pas dans le fichier exporté même s'ils chevauchent l'objet effectivement exporté. Cette option est ignorée si --export-id n'est pas aussi utilisé.

-l, --export-plain-svg=NOM_DE_FICHIER
    Exporte le(s) document(s) en SVG brut, sans espace de nom sodipodi: ou inkscape: et sans métadonnées RDF.

-l, --extension-directory
    Liste le contenu du répertoire d'extensions configuré en tant que tel par Inkscape, puis sort. Cette option est utilisée afin que les extensions externes utilisent la configuration originale générée à l'installation d'Inkscape.

-p IMPRIMANTE, --print=IMPRIMANTE
    Imprime le(s) document(s) vers l'imprimante spécifiée en utilisant `lpr -P PRINTER'. Vous pouvez aussi utiliser `| COMMAND' pour spécifier un tube de commande différent, ou utiliser `> FILENAME' pour écrire le résultat PostScript dans un fichier au lieu de l'imprimer. N'oubliez pas d'utiliser les guillemets appropriés pour votre shell, ex. inkscape --print='| ps2pdf - mydoc.pdf' mydoc.svg

-s, --slideshow
    Affiche les fichiers spécifiés un par un, passant au suivant à chaque évènement clavier ou souris.

-t, --export-use-hints
    Utilise le nom de fichier et la PPP enregistrés avec l'objet exporté (uniquement si --export-id est spécifié). Ces valeurs sont automatiquement spécifiées si vous exportez la sélection depuis Inkscape. Donc, si par exemple, vous exportez la forme id="path231" en tant que /home/me/shape.png avec une résolution de 300 ppp depuis le document.svg en utilisant l'interface graphique d'Inkscape, et sauvez le document, vous pourrez réexporter plus tard cette forme vers le même fichier et avec la même résolution en utilisant simplement la commande : inkscape -i path231 -t document.svg

    Si vous utilisez --export-dpi, --export-width, ou --export-height avec cette option, la PPP enregistrée avec le document sera ignorée et la valeur fournie à la ligne de commande utilisée. Si vous utilisez --export-png avec cette option, le nom de fichier enregistré avec le document sera ignoré et le nom de fichier fourni à la ligne de commande utilisé.

-w LARGEUR, --export-width=LARGEUR
    Largeur du bitmap généré en pixels. Cette valeur préempte l'option --export-dpi setting (ou la PPP enregistrée avec le document si --export-use-hints est aussi utilisé).

-y VALEUR, --export-background-opacity=VALEUR
    Opacité du fond du PNG exporté. Cela peut être une valeur entre 0.0 and 1.0 (0.0 : complètement transparent, 1.0 complètement opaque) ou supérieure à 1 et inférieure à255 (255 : complètement opaque). Si cette valeur n'est pas spécifiée et si l'option -b n'est pas utilisée, l'opacité de la page enregistrée avec le document (dans l'attribut inkscape:pageopacity= de l'espace de nom sodipodi:namedview) sera utilisée. Si cette valeur n'est pas spécifiée et l'option -b utilisé, la valeur 255 (opacité complète) sera utilisée.

-P NOM_DE_FICHIER, --export-ps=NOM_DE_FICHIER
    Exporte le(s) document(s) au format PostScript.

-E NOM_DE_FICHIER, --export-eps=NOM_DE_FICHIER
    Exporte le(s) document(s) au format Encapsulated PostScript.

-T, --export-text-to-path
    Convertit les objets texte en chemins lors de l'export, si applicable (ne fonctionne pour le moment qu'avec le format EPS).

-B, --export-bbox-page
    Exporte les fichiers avec pour boîte de contour la page complète, si applicable (ne fonctionne pour le moment qu'avec le format EPS).

-I, --query-id
    ID de l'objet dont les dimensions sont demandées. Si cette option n'est pas utilisée, les demandes retourneront les dimensions du dessin, pas de la page ou de la zone affichée.

-X, --query-x
    Demande l'abscisse (coordonnée X) du dessin ou (si spécifié avec --query-id) de l'objet. La valeur retournée est en px (unité utilisateur SVG).

-Y, --query-y
    Demande l'ordonnée (coordonnée Y) du dessin ou (si spécifié avec --query-id) de l'objet. La valeur retournée est en px (unité utilisateur SVG).

-W, --query-width
    Demande la largeur du dessin ou (si spécifié avec --query-id) de l'objet. La valeur retournée est en px (unité utilisateur SVG).

-H, --query-height
    Demande la hauteur du dessin ou (si spécifié avec --query-id) de l'objet. La valeur retournée est en px (unité utilisateur SVG).

--vacuum-defs
    Supprime tous les items inutilisés de la section <lt>defs<gt> du fichier SVG. Cette option n'a pas d'effet propre, mais est très utile quand elle est utilisée conjointement avec l'option -l.

-z, --without-gui
    Ne lance pas l'interface graphique (sous Unix, n'utilise pas le server X); ne traite les fichiers que depuis la console. Ceci est présupposé pour les options -p, -e, et -l.

--g-fatal-warnings
    Elément des options standards GTK reconnues. Ceci force Inkscape à quitter pour tout avertissement GTK. Cette option est listée parce qu'elle est utilisée à des fins de débuggage.

--usage
    Affiche un bref message sur l'utilisation d'Inkscape.

RACCOURCIS CLAVIER
Pour obtenir une liste complète des raccourcis clavier et souris, consultez le fichier doc/keys.html, ou utilisez la commande Clavier et souris dans le menu d'aide de l'interface graphique pour en afficher un tableau SVG.

CONFIGURATION
Le fichier de configuration preferences.xml situé dans ~/.inkscape/ est utilisé pour personnaliser les préférences de l'utilisateur.

interface
    Les éléments interface du fichier de configuration sont utilisés pour définir les paramètres liés à l'interface graphique, comme l'état ouvert/fermé de certains éléments de l'interface, etc.

group id="documents"
    Le groupe documents permet de contenir la liste des fichiers récemment ouverts. Chaque document listé indique son uri (chemin) et nom.

group id="template"
    Le groupe template est utilisé pour enregistrer les paramètres liés aux documents vides.

group id="tools"
    Le groupe tools enregistre les les préférences de l'utilisateur quant au style des différents outils (formes, plume calligraphique, etc.).

group id="palette"
    Le groupe palette permet de définir les styles de pointillés.

group id="dialogs"
    Le groupe dialogs permet de retenir la position et la taille de toute boîte de dialogue de l'application, de sorte qu'ils se lancent à l'endroit où l'utilisateur les a placés lors de la dernière utilisation.

group id="printing"
    Le groupe printing enregistre les différentes configurations d'impression. Chaque configuration est identifiée par un id. Les propriétés incluent I bitmap (true : vrai / false : faux), resolution, et destination.

group id="options"
    Le groupe options permet de retenir un certain nombre d'options choisies par l'utilisateur incluant nudgeddistance (incrément), rotationstep (incrément de rotation), cursortolerance (tolérance du curseur), et dragtolerance (tolérance du cliquer-déplacer).

DIAGNOSTICS
Le programme retourne la valeur zéro après une utilisation réussie ou différente de zéro après un problème.

Des messages d'erreur et des avertissements divers peuvent être écrits vers STDERR ou STDOUT. Si le programme se comporte de façon erratique avec un fichier SVG particulier, ou se plante, il est parfois utile de chercher des indices dans ces messages. Il peuvent, par exemple, indiquer qu'un fichier SVG donné contient des éléments ou des attributs non encore supportés par le logiciel.

EXEMPLES
Bien qu'Inkscape soit principalement conçu comme une application graphique, il peut aussi être utilisé depuis la ligne de commande pour certaines opérations SVG.

Imprimer un fichier SVG :

    inkscape nom_de_fichier.svg -p '| lpr'

Exporter un fichier SVG en PNG :

    inkscape nom_de_fichier.svg --export-png=nom_de_fichier.png -w600 -h400

Convertir un document du format SVG Inkscape au format SVG brut :

    inkscape nom_de_fichier1.svg --export-plain-svg=nom_de_fichier2.svg

Convertir un document SVG en EPS, en convertissant les textes en chemins :

    inkscape nom_de_fichier.svg --export-eps=nom_de_fichier.eps --export-text-to-path

Demander la largeur de l'objet avec un id="text1555":

    inkscape nom_de_fichier.svg --query-width --query-id text1555

ENVIRONEMENT
DISPLAY pour obtenir l'hôte par défaut et le numéro d'affichage.

TMPDIR pour définir le chemin par défaut du répertoire à utiliser pour stocker les fichier temporaires. Ce répertoire est nécessaire.

THEMES
Vous pouvez remplacer le fichier d'icônes par défaut $PREFIX/share/inkscape/icons/icons.svg en utilisant le répertoire $HOME/.inkscape/icons/ . Les icônes sont chargées par nom (ex. : fill_none.svg) ou, quand elles sont introuvables, depuis le fichier icons.svg. Si une icône n'est pas trouvée dans l'un de ces emplacements, elle est chargée depuis l'emplacement par défaut du système.

Les icônes nécessaires sont chargées depuis les fichiers SVG par recherche de l'id SVG correspondant (Par exemple, pour charger l'icône "fill_none" depuis un fichier, le contenu identifié par l'id SVG "fill_none" est rendu en tant que cette icône, qu'il vienne du fichier fill_none.svg ou icons.svg).

FICHIERS
$HOME/.inkscape/preferences.xml - Le fichier des préférences de l'utilisateur.

$HOME/.inkscape/extensions.xml - Les programmes filtres utilisés par l'application.

$HOME/.inkscape/icons/{*,icons}.svg - Des icônes pour modifier le thème.

AUTRES INFORMATIONS
L'endroit principal pour trouver des informations sur Inkscape est http://www.inkscape.org/. Le site web contient des liens vers d'autres éléments pertinents : documentation, didacticiels, manuel de l'utilisateur, exemples, archives des listes d'e-mail, la dernière version d'Inkscape et bien d'autres choses.

VOIR AUSSI
gimp(1), autotrace, potrace, frontline, ill2svg, rsvg(1), xfig(1), sodipodi, karbon14, dia(1X), batik.

Suite de tests de conformité SVG : http://www.w3.org/Graphics/SVG/Test/

Validation de SVG : http://jiggles.w3.org/svgvalidator/

Scalable Vector Graphics (SVG) 1.1 Specification W3C Recommendation 14 January 2003 <http://www.w3.org/TR/SVG11/>

Scalable Vector Graphics (SVG) 1.2 Specification W3C Working Draft 13 November 2003 <http://www.w3.org/TR/SVG12/>

SVG 1.1/1.2/2.0 Requirements W3C Working Draft 22 April 2002 <http://www.w3.org/TR/SVG2Reqs/>

Document Object Model (DOM): Level 2 Core Arnaud Le Hors et al editors, W3C <http://www.w3.org/TR/DOM-Level-2-Core/>

NOTES
Ctrl, Maj et Alt modifient le comportement des actions de cliquer et de cliquer-déplacer pour la plupart des outils. La barre d'état affiche des conseils utiles à ce sujet.

Pour faire tourner un objet, cliquer dessus avec l'outil sélecteur afin de le sélectionner,puis cliquer dessus à nouveau afin d'activer les poignées de rotation.

La commande importer fonctionne avec la plupart des formats bitmap (PNG, BMP, JPG, XPM, GIF etc.) et avec le format vectoriel SVG. La commande ouvrir ne gère que les fichiers SVG.

Une tablette graphique (Wacom) peut fonctionner avec Inkscape si elle est configurée pour se comporter en tant que périphérique de pointage normal. Nous ne supportons pas encore les fonctionnalités pression/angle ou autres spécifités.

Inkscape fonctionne dès l'installation avec le serveur X d'Apple, mais pour une utilisation sous XFree86, vous devrez activer l'option "SendCoreEvents". Tout ne semble pas encore marcher aussi bien sous Windows.

BUGS
Beaucoup de bugs sont connus; veuillez, svp, consulter le site web pour consulter ceux qui ont déjà été rapportés et pour soumettre de nouveaux problèmes. Voici quelques contournements :

Lors de l'import de SVG généré par ill2svg, tous les chemins sont habituellement groupés. Dégroupez-les manuellement.

Si vous utilisez des dégradés et étirez l'icône du fichier sauvé dans Nautilus, vous remarquerez que les dégradés ne sont pas bien rendus. Il s'agit d'un problème connu de Nautilus/RSVG et qui peut être contourné en spécifiant le dégradé dans 'l'espace utilisateur' dans l'éditeur de dégradé.

Consultez aussi la section "Known Issues" des notes de votre version (dans le fichier `NEWS').

AUTEURS
Ce code doit son existence à un grand nombre de contributeurs tout au long de ses différentes incarnations. La liste qui suit est certainement incomplète, mais permet de reconnaître les nombreuses épaules sur lesquelles cette application s'est appuyée :

Josh Andler, John Bintz, Arpad Biro, Daniel Borgmann, Hans Breuer, Nicu Buculei, Bulia Byak, Chema Celorio, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Robert Crosbie, Jon Cruz, Daniel Díaz, Larry Doolittle, Maxim V. Dziumanenko, Danilo Egan, Frank Felfe, Andrew Fitzsimon, Edward Flick, Fred, Ben Fowler, Ted Gould, Bryce Harrington, Carl Hetherington, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, Thomas Ingham, Bob Jamison, Lauris Kaplinski, Lynn Kerby, Petr Kovar, Raph Levien, Nicklas Lindgren, Vitaly Lipatov, Colin Marquardt, Dmitry G. Mastrukov, Matiphas, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Derek P. Moore, Peter Moulder, Jörg Müller, Yukihiro Nakai, Christian Neumair, Andreas Nilsson, Mitsuru Oka, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Alexey Remizov, Frederic Rodrigo, Juarez Rudsatz, Xavier Conde Rueda, Christian Schaller, Tom von Schwerdtner, Shivaken, Boštjan Špetic, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Pat Suwalski, Adib Taraben, David Turner, Aleksandar Urosevic, Lucas Vieites, Michael Wybrow, Daniel Yacob, David Yip, Masatake Yamato

Cette page de manuel a été créée par Bryce Harrington <brycehar@bryceharrington.com>.

HISTORIQUE
Le code qui allait devenir Inkscape est né en 1999, avec le programme Gill, GNOME Illustrator, créé par Raph Levien. L'objectif clair de Gill était de supporter complètement le format SVG. Raph a codé le modèle Postcript de courbes de Bézier, incluant le remplissage et le contour, les coiffes et raccords de lignes, le texte, etc. La page de Raph consacrée à Gill se trouve sur http://www.levien.com/svg/. Le travail sur Gill semble avoir diminué ou s'être arrété en 2000.

L'incarnation suivante du code allait devenir le très populaire Sodipodi, mené par Lauris Kaplinski. Le code est devenu un outil d'illustration puissant après plusieurs années de travail, ajoutant plusieurs nouvelles fonctionnalités, le support multilingue, le portage sous Windows et d'autres systèmes d'exploitation et éliminant certaines dépendances.

Inkscape a été lancé en 2003 par quatre développeurs actifs de Sodipodi, Bryce Harrington, MenTaLguY, Nathan Hurst, et Ted Gould, qui voulaient faire prendre une orientation différente au code en termes de focalisation sur la conformité SVG, aspect et fonctionnement de l'interface, et d'opportunités de développement ouvertes à plus de participants.

COPYRIGHT ET LICENSE
Copyright (C) 1999–2005 des auteurs.

Inkscape est un logiciel libre; vous pouvez le redistribuer et/ou le modifier selon les termes de la license GPL.